#93282 Report by node DESKTOP-A9IRF6F covering 1705 tests from 45 modules resulted into 11 errors

Report

ObsPy Version
1.1.0
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
687.4 sec
Report Date/Time
2018-03-29 09:42:08

System / Python

Architecture
64bit
Machine
AMD64
Node
DESKTOP-A9IRF6F
Processor
Intel64 Family 6 Model 78 Stepping 3, GenuineIntel
Python Compiler
MSC v.1900 64 bit (AMD64)
Python Implementation
CPython
Python Version
3.6.4
Release
10
System
Windows
Version
10.0.16299

Dependencies

cartopy
---
decorator
4.2.1
flake8
---
future
0.16.0
geographiclib
---
lxml.etree
4.2.0
m2crypto
---
matplotlib
2.2.2
mock
---
mpl_toolkits.basemap
1.1.0
numpy
1.13.1
pep8-naming
---
pyflakes
---
pyimgur
---
pyproj
1.9.5.1
requests
2.18.4
scipy
0.19.1
setuptools
39.0.1
shapefile
1.2.12
sqlalchemy
1.2.5

Modules (45)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem 1 1
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 7 2 3 4 5 6 7 8
obspy.db - -
obspy.geodetics - -
obspy.imaging 2 9 10
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal 1 11
obspy.taup - -
Summary 11 11

Tracebacks (11)

Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\clients\filesystem\tests\test_sds.py", line 227, in test_sds_report
raise
RuntimeError: No active exception to reraise
Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 101, in _sanitize_extrema
ret = np.asscalar(ex)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\numpy\lib\type_check.py", line 480, in asscalar
return a.item()
AttributeError: 'str' object has no attribute 'item'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\core\tests\test_inventory.py", line 513, in test_combined_station_event_plot
fig = inv.plot(show=False)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\core\inventory\inventory.py", line 749, in plot
title=None, show=False, fig=fig, **kwargs)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\maps.py", line 766, in plot_map
return plot_basemap(*args, **kwargs)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\maps.py", line 179, in plot_basemap
scal_map = ScalarMappable(norm=Normalize(min_color, max_color),
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 892, in __init__
self.vmin = _sanitize_extrema(vmin)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 103, in _sanitize_extrema
ret = float(ex)
ValueError: could not convert string to float: '#b15928'
Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 101, in _sanitize_extrema
ret = np.asscalar(ex)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\numpy\lib\type_check.py", line 480, in asscalar
return a.item()
AttributeError: 'str' object has no attribute 'item'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\core\tests\test_inventory.py", line 462, in test_location_plot_global
inv.plot(outfile=ic.name)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\core\inventory\inventory.py", line 749, in plot
title=None, show=False, fig=fig, **kwargs)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\maps.py", line 766, in plot_map
return plot_basemap(*args, **kwargs)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\maps.py", line 179, in plot_basemap
scal_map = ScalarMappable(norm=Normalize(min_color, max_color),
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 892, in __init__
self.vmin = _sanitize_extrema(vmin)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 103, in _sanitize_extrema
ret = float(ex)
ValueError: could not convert string to float: '#b15928'
Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 101, in _sanitize_extrema
ret = np.asscalar(ex)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\numpy\lib\type_check.py", line 480, in asscalar
return a.item()
AttributeError: 'str' object has no attribute 'item'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\core\tests\test_inventory.py", line 495, in test_location_plot_local
outfile=ic.name)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\core\inventory\inventory.py", line 749, in plot
title=None, show=False, fig=fig, **kwargs)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\maps.py", line 775, in plot_map
return plot_basemap(*args, **kwargs)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\maps.py", line 179, in plot_basemap
scal_map = ScalarMappable(norm=Normalize(min_color, max_color),
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 892, in __init__
self.vmin = _sanitize_extrema(vmin)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 103, in _sanitize_extrema
ret = float(ex)
ValueError: could not convert string to float: 'b'
Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 101, in _sanitize_extrema
ret = np.asscalar(ex)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\numpy\lib\type_check.py", line 480, in asscalar
return a.item()
AttributeError: 'tuple' object has no attribute 'item'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\core\tests\test_inventory.py", line 475, in test_location_plot_ortho
colormap='Set3', color_per_network=True, outfile=ic.name)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\core\inventory\inventory.py", line 749, in plot
title=None, show=False, fig=fig, **kwargs)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\maps.py", line 775, in plot_map
return plot_basemap(*args, **kwargs)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\maps.py", line 179, in plot_basemap
scal_map = ScalarMappable(norm=Normalize(min_color, max_color),
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 892, in __init__
self.vmin = _sanitize_extrema(vmin)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 103, in _sanitize_extrema
ret = float(ex)
TypeError: float() argument must be a string or a number, not 'tuple'
Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 101, in _sanitize_extrema
ret = np.asscalar(ex)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\numpy\lib\type_check.py", line 480, in asscalar
return a.item()
AttributeError: 'str' object has no attribute 'item'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\core\tests\test_network.py", line 277, in test_location_plot_global
net.plot(method='basemap', outfile=ic.name)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\core\inventory\network.py", line 557, in plot
show=False, **kwargs)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\maps.py", line 775, in plot_map
return plot_basemap(*args, **kwargs)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\maps.py", line 179, in plot_basemap
scal_map = ScalarMappable(norm=Normalize(min_color, max_color),
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 892, in __init__
self.vmin = _sanitize_extrema(vmin)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 103, in _sanitize_extrema
ret = float(ex)
ValueError: could not convert string to float: '#'
Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 101, in _sanitize_extrema
ret = np.asscalar(ex)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\numpy\lib\type_check.py", line 480, in asscalar
return a.item()
AttributeError: 'str' object has no attribute 'item'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\core\tests\test_network.py", line 309, in test_location_plot_local
size=13**2, outfile=ic.name)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\core\inventory\network.py", line 557, in plot
show=False, **kwargs)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\maps.py", line 775, in plot_map
return plot_basemap(*args, **kwargs)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\maps.py", line 179, in plot_basemap
scal_map = ScalarMappable(norm=Normalize(min_color, max_color),
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 892, in __init__
self.vmin = _sanitize_extrema(vmin)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 103, in _sanitize_extrema
ret = float(ex)
ValueError: could not convert string to float: '#'
Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 101, in _sanitize_extrema
ret = np.asscalar(ex)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\numpy\lib\type_check.py", line 480, in asscalar
return a.item()
AttributeError: 'str' object has no attribute 'item'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\core\tests\test_network.py", line 290, in test_location_plot_ortho
color='yellow', label=False, outfile=ic.name)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\core\inventory\network.py", line 557, in plot
show=False, **kwargs)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\maps.py", line 775, in plot_map
return plot_basemap(*args, **kwargs)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\maps.py", line 179, in plot_basemap
scal_map = ScalarMappable(norm=Normalize(min_color, max_color),
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 892, in __init__
self.vmin = _sanitize_extrema(vmin)
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\matplotlib\colors.py", line 103, in _sanitize_extrema
ret = float(ex)
ValueError: could not convert string to float: 'e'
Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\doctest.py", line 2199, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.imaging.__init__
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\__init__.py", line 0, in __init__
----------------------------------------------------------------------
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\__init__.py", line 109, in obspy.imaging.__init__
Failed example:
beachball(np1) #doctest: +ELLIPSIS
Expected:
<matplotlib.figure.Figure object at 0x...>
Got:
<Figure size 200x200 with 1 Axes>
----------------------------------------------------------------------
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\__init__.py", line 128, in obspy.imaging.__init__
Failed example:
beachball(mt) #doctest: +ELLIPSIS
Expected:
<matplotlib.figure.Figure object at 0x...>
Got:
<Figure size 200x200 with 1 Axes>
Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\imaging\tests\test_scan.py", line 179, in test_multiple_sampling_rates
self.assertEqual(expected, out.stdout.splitlines())
AssertionError: Lists differ: ['XX.[53 chars]0:00.899995Z -0.100', 'XX.TEST..BHZ 2008-01-15[48 chars]100'] != ['XX.[53 chars]0:00.900000Z -0.100', 'XX.TEST..BHZ 2008-01-15[48 chars]100']
First differing element 0:
'XX.TEST..BHZ 2008-01-15T00:00:01.000000Z 2008-01-15T00:00:00.899995Z -0.100'
'XX.TEST..BHZ 2008-01-15T00:00:01.000000Z 2008-01-15T00:00:00.900000Z -0.100'
- ['XX.TEST..BHZ 2008-01-15T00:00:01.000000Z 2008-01-15T00:00:00.899995Z -0.100',
? - ^^^^
+ ['XX.TEST..BHZ 2008-01-15T00:00:01.000000Z 2008-01-15T00:00:00.900000Z -0.100',
? ^^^^^
- 'XX.TEST..BHZ 2008-01-15T00:00:01.899999Z 2008-01-15T00:00:02.000000Z 0.100']
? - ^^^^
+ 'XX.TEST..BHZ 2008-01-15T00:00:01.900000Z 2008-01-15T00:00:02.000000Z 0.100']
? ^^^^^
Traceback (most recent call last):
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\doctest.py", line 2199, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.signal._sosfilt._sosfilt
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\signal\_sosfilt.py", line 403, in _sosfilt
----------------------------------------------------------------------
File "C:\Users\Honsengid\Anaconda3\envs\obspy\lib\site-packages\obspy\signal\_sosfilt.py", line 466, in obspy.signal._sosfilt._sosfilt
Failed example:
plt.figure() # doctest: +ELLIPSIS
Expected:
<matplotlib.figure.Figure object at 0x...>
Got:
<Figure size 640x480 with 0 Axes>

Skipped Tests (24)

Submodule Test Skip Message
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_use_obspy_deprecation_warning (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_future_imports_in_every_file (obspy.core.tests.test_code_formatting.FutureUsageTestCase) No code formatting tests for release builds
core test_no_pyplot_import_in_any_file (obspy.core.tests.test_code_formatting.MatplotlibBackendUsageTestCase) No code formatting tests for release builds
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
signal test_schema_validation (obspy.signal.tests.test_quality_control.QualityControlTestCase) Test requires the jsonschema module
taup test_compute_ray_paths (obspy.taup.tests.test_ray_paths.RayPathCalculationsTestCase) test needs geographiclib >= 1.34
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_path_resampling (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.

Slowest Tests (20)

Runtime Test
66.251s test_is_format (obspy.core.tests.test_waveform_plugins.WaveformPluginsTestCase)
36.059s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
24.450s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
14.252s test_plot_wiggles_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
14.213s test_plot_default_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
12.700s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
12.666s test_plot_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
11.734s test_plot_ref_time_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
11.658s test_plot_wiggles_negative_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
10.984s test_plot_azim_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
10.931s __init__ (obspy.taup)
10.900s test_plot_colored_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
10.655s test_plot_wiggles_positive_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
10.319s test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase)
10.124s test_many_identically_named_phases (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
9.878s test_plot_wiggles_vertical_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
8.639s test_infinite_loop (obspy.io.mseed.tests.test_mseed_special_issues.MSEEDSpecialIssueTestCase)
8.488s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
8.059s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
7.806s test_data_remains_unchanged (obspy.imaging.tests.test_waveform.WaveformTestCase)

Chuck Norris Fact

Chuck Norris doesn't need to use AJAX because pages are too afraid to postback anyways.